Skip to main content
PATCH
/
v1
/
assignments
/
{id}
/
configure
Configure an assignment
curl --request PATCH \
  --url https://api.example.com/v1/assignments/{id}/configure \
  --header 'Content-Type: application/json' \
  --data '
{
  "rubric": {},
  "ai_evaluator": {
    "enabled": true,
    "model": "<string>"
  },
  "human_review": {},
  "feedback": {
    "tone": {},
    "verbosity": {},
    "language": "<string>"
  }
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.hawkings.education/llms.txt

Use this file to discover all available pages before exploring further.

Path parameters

id
string
required

Body

rubric
Rubric
ai_evaluator
object
human_review
enum
required | optional | off.
feedback
object

Examples

await hk.assignments.configure("asg_123", {
  ai_evaluator: { enabled: true, model: "claude-sonnet-4-6" },
  human_review: "required",
  feedback: { tone: "encouraging", verbosity: "normal" },
});

Helpers

await hk.assignments.configureRubric(id, { criteria: [...] });
await hk.assignments.configureFeedback(id, { tone: "demanding" });
await hk.assignments.resetConfig(id);

Returns

The updated Assignment.